<?php

namespace Liberty\Services\Emisor\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for contratante StructType
 * @subpackage Structs
 */
class Contratante extends AbstractStructBase
{
    /**
     * The apellidoMatContratante
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $apellidoMatContratante;
    /**
     * The apellidoPatContratante
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $apellidoPatContratante;
    /**
     * The celularContratante
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $celularContratante;
    /**
     * The comunaContratante
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $comunaContratante;
    /**
     * The deptoContratante
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $deptoContratante;
    /**
     * The direccionCalleContratante
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $direccionCalleContratante;
    /**
     * The direccionNumeroContratante
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $direccionNumeroContratante;
    /**
     * The fechaNacimientoContratante
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $fechaNacimientoContratante;
    /**
     * The mailContratante
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $mailContratante;
    /**
     * The nombresContratante
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $nombresContratante;
    /**
     * The rutContratante
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $rutContratante;
    /**
     * The rutDvContratante
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $rutDvContratante;
    /**
     * The telefonoContratante
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $telefonoContratante;
    /**
     * Constructor method for contratante
     * @uses Contratante::setApellidoMatContratante()
     * @uses Contratante::setApellidoPatContratante()
     * @uses Contratante::setCelularContratante()
     * @uses Contratante::setComunaContratante()
     * @uses Contratante::setDeptoContratante()
     * @uses Contratante::setDireccionCalleContratante()
     * @uses Contratante::setDireccionNumeroContratante()
     * @uses Contratante::setFechaNacimientoContratante()
     * @uses Contratante::setMailContratante()
     * @uses Contratante::setNombresContratante()
     * @uses Contratante::setRutContratante()
     * @uses Contratante::setRutDvContratante()
     * @uses Contratante::setTelefonoContratante()
     * @param string $apellidoMatContratante
     * @param string $apellidoPatContratante
     * @param int $celularContratante
     * @param int $comunaContratante
     * @param string $deptoContratante
     * @param string $direccionCalleContratante
     * @param string $direccionNumeroContratante
     * @param int $fechaNacimientoContratante
     * @param string $mailContratante
     * @param string $nombresContratante
     * @param int $rutContratante
     * @param string $rutDvContratante
     * @param int $telefonoContratante
     */
    public function __construct($apellidoMatContratante = null, $apellidoPatContratante = null, $celularContratante = null, $comunaContratante = null, $deptoContratante = null, $direccionCalleContratante = null, $direccionNumeroContratante = null, $fechaNacimientoContratante = null, $mailContratante = null, $nombresContratante = null, $rutContratante = null, $rutDvContratante = null, $telefonoContratante = null)
    {
        $this
            ->setApellidoMatContratante($apellidoMatContratante)
            ->setApellidoPatContratante($apellidoPatContratante)
            ->setCelularContratante($celularContratante)
            ->setComunaContratante($comunaContratante)
            ->setDeptoContratante($deptoContratante)
            ->setDireccionCalleContratante($direccionCalleContratante)
            ->setDireccionNumeroContratante($direccionNumeroContratante)
            ->setFechaNacimientoContratante($fechaNacimientoContratante)
            ->setMailContratante($mailContratante)
            ->setNombresContratante($nombresContratante)
            ->setRutContratante($rutContratante)
            ->setRutDvContratante($rutDvContratante)
            ->setTelefonoContratante($telefonoContratante);
    }
    /**
     * Get apellidoMatContratante value
     * @return string|null
     */
    public function getApellidoMatContratante()
    {
        return $this->apellidoMatContratante;
    }
    /**
     * Set apellidoMatContratante value
     * @param string $apellidoMatContratante
     * @return \Liberty\Services\Emisor\StructType\Contratante
     */
    public function setApellidoMatContratante($apellidoMatContratante = null)
    {
        // validation for constraint: string
        if (!is_null($apellidoMatContratante) && !is_string($apellidoMatContratante)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($apellidoMatContratante)), __LINE__);
        }
        $this->apellidoMatContratante = $apellidoMatContratante;
        return $this;
    }
    /**
     * Get apellidoPatContratante value
     * @return string|null
     */
    public function getApellidoPatContratante()
    {
        return $this->apellidoPatContratante;
    }
    /**
     * Set apellidoPatContratante value
     * @param string $apellidoPatContratante
     * @return \Liberty\Services\Emisor\StructType\Contratante
     */
    public function setApellidoPatContratante($apellidoPatContratante = null)
    {
        // validation for constraint: string
        if (!is_null($apellidoPatContratante) && !is_string($apellidoPatContratante)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($apellidoPatContratante)), __LINE__);
        }
        $this->apellidoPatContratante = $apellidoPatContratante;
        return $this;
    }
    /**
     * Get celularContratante value
     * @return int|null
     */
    public function getCelularContratante()
    {
        return $this->celularContratante;
    }
    /**
     * Set celularContratante value
     * @param int $celularContratante
     * @return \Liberty\Services\Emisor\StructType\Contratante
     */
    public function setCelularContratante($celularContratante = null)
    {
        // validation for constraint: int
        if (!is_null($celularContratante) && !is_numeric($celularContratante)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($celularContratante)), __LINE__);
        }
        $this->celularContratante = $celularContratante;
        return $this;
    }
    /**
     * Get comunaContratante value
     * @return int|null
     */
    public function getComunaContratante()
    {
        return $this->comunaContratante;
    }
    /**
     * Set comunaContratante value
     * @param int $comunaContratante
     * @return \Liberty\Services\Emisor\StructType\Contratante
     */
    public function setComunaContratante($comunaContratante = null)
    {
        // validation for constraint: int
        if (!is_null($comunaContratante) && !is_numeric($comunaContratante)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($comunaContratante)), __LINE__);
        }
        $this->comunaContratante = $comunaContratante;
        return $this;
    }
    /**
     * Get deptoContratante value
     * @return string|null
     */
    public function getDeptoContratante()
    {
        return $this->deptoContratante;
    }
    /**
     * Set deptoContratante value
     * @param string $deptoContratante
     * @return \Liberty\Services\Emisor\StructType\Contratante
     */
    public function setDeptoContratante($deptoContratante = null)
    {
        // validation for constraint: string
        if (!is_null($deptoContratante) && !is_string($deptoContratante)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($deptoContratante)), __LINE__);
        }
        $this->deptoContratante = $deptoContratante;
        return $this;
    }
    /**
     * Get direccionCalleContratante value
     * @return string|null
     */
    public function getDireccionCalleContratante()
    {
        return $this->direccionCalleContratante;
    }
    /**
     * Set direccionCalleContratante value
     * @param string $direccionCalleContratante
     * @return \Liberty\Services\Emisor\StructType\Contratante
     */
    public function setDireccionCalleContratante($direccionCalleContratante = null)
    {
        // validation for constraint: string
        if (!is_null($direccionCalleContratante) && !is_string($direccionCalleContratante)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($direccionCalleContratante)), __LINE__);
        }
        $this->direccionCalleContratante = $direccionCalleContratante;
        return $this;
    }
    /**
     * Get direccionNumeroContratante value
     * @return string|null
     */
    public function getDireccionNumeroContratante()
    {
        return $this->direccionNumeroContratante;
    }
    /**
     * Set direccionNumeroContratante value
     * @param string $direccionNumeroContratante
     * @return \Liberty\Services\Emisor\StructType\Contratante
     */
    public function setDireccionNumeroContratante($direccionNumeroContratante = null)
    {
        // validation for constraint: string
        if (!is_null($direccionNumeroContratante) && !is_string($direccionNumeroContratante)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($direccionNumeroContratante)), __LINE__);
        }
        $this->direccionNumeroContratante = $direccionNumeroContratante;
        return $this;
    }
    /**
     * Get fechaNacimientoContratante value
     * @return int|null
     */
    public function getFechaNacimientoContratante()
    {
        return $this->fechaNacimientoContratante;
    }
    /**
     * Set fechaNacimientoContratante value
     * @param int $fechaNacimientoContratante
     * @return \Liberty\Services\Emisor\StructType\Contratante
     */
    public function setFechaNacimientoContratante($fechaNacimientoContratante = null)
    {
        // validation for constraint: int
        if (!is_null($fechaNacimientoContratante) && !is_numeric($fechaNacimientoContratante)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($fechaNacimientoContratante)), __LINE__);
        }
        $this->fechaNacimientoContratante = $fechaNacimientoContratante;
        return $this;
    }
    /**
     * Get mailContratante value
     * @return string|null
     */
    public function getMailContratante()
    {
        return $this->mailContratante;
    }
    /**
     * Set mailContratante value
     * @param string $mailContratante
     * @return \Liberty\Services\Emisor\StructType\Contratante
     */
    public function setMailContratante($mailContratante = null)
    {
        // validation for constraint: string
        if (!is_null($mailContratante) && !is_string($mailContratante)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($mailContratante)), __LINE__);
        }
        $this->mailContratante = $mailContratante;
        return $this;
    }
    /**
     * Get nombresContratante value
     * @return string|null
     */
    public function getNombresContratante()
    {
        return $this->nombresContratante;
    }
    /**
     * Set nombresContratante value
     * @param string $nombresContratante
     * @return \Liberty\Services\Emisor\StructType\Contratante
     */
    public function setNombresContratante($nombresContratante = null)
    {
        // validation for constraint: string
        if (!is_null($nombresContratante) && !is_string($nombresContratante)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($nombresContratante)), __LINE__);
        }
        $this->nombresContratante = $nombresContratante;
        return $this;
    }
    /**
     * Get rutContratante value
     * @return int|null
     */
    public function getRutContratante()
    {
        return $this->rutContratante;
    }
    /**
     * Set rutContratante value
     * @param int $rutContratante
     * @return \Liberty\Services\Emisor\StructType\Contratante
     */
    public function setRutContratante($rutContratante = null)
    {
        // validation for constraint: int
        if (!is_null($rutContratante) && !is_numeric($rutContratante)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($rutContratante)), __LINE__);
        }
        $this->rutContratante = $rutContratante;
        return $this;
    }
    /**
     * Get rutDvContratante value
     * @return string|null
     */
    public function getRutDvContratante()
    {
        return $this->rutDvContratante;
    }
    /**
     * Set rutDvContratante value
     * @param string $rutDvContratante
     * @return \Liberty\Services\Emisor\StructType\Contratante
     */
    public function setRutDvContratante($rutDvContratante = null)
    {
        // validation for constraint: string
        if (!is_null($rutDvContratante) && !is_string($rutDvContratante)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($rutDvContratante)), __LINE__);
        }
        $this->rutDvContratante = $rutDvContratante;
        return $this;
    }
    /**
     * Get telefonoContratante value
     * @return int|null
     */
    public function getTelefonoContratante()
    {
        return $this->telefonoContratante;
    }
    /**
     * Set telefonoContratante value
     * @param int $telefonoContratante
     * @return \Liberty\Services\Emisor\StructType\Contratante
     */
    public function setTelefonoContratante($telefonoContratante = null)
    {
        // validation for constraint: int
        if (!is_null($telefonoContratante) && !is_numeric($telefonoContratante)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($telefonoContratante)), __LINE__);
        }
        $this->telefonoContratante = $telefonoContratante;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Liberty\Services\Emisor\StructType\Contratante
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
